<?php

require_once('db.php');
require "billing.php";
    use SmartMob\Billing;
    $checker = new Billing("app.rbmain.android");

    //Client_ID , Clinet_Secret, Refresh_Token
    $checker->setCafeBazaarParams("BhybPJcM0RU3wsyxVlPgfpxKJgZHgi2QQJe4cA3i","8jwu52bgSYI5gTL9Po36Nb1eyMltwCtJRooWxYU5lCm9rAKs9YmXSuABmPuf","c4IOSEEw2YjeyFwFs7vk6zXe1LPom0");
    $checker->setIranAppsParams("","","");

    $valid = $checker->isValidRequest();//برسی صحت درخواست
    if($valid){

        $user_id = $checker->getUserId();// دریافت شناسه کاربر
        $token = $checker->getToken();// دریافت توکن خرید
        $productId = $checker->getProductId();// دریافت شناسه کالا
        $market = $checker->getMarket();// دریافت نام مارکت

        //$message = $user_id." عزیز, شما محصول".$productId." را از ".$market." با توکن ".$token." خریداری کردید.\n"." دمت گرم بازم از ما خرید کن :)";

        $connection = new database();
    
        if($user_id!=""){
            
            $check_block_user = $connection->q("select Status from users where ID='$user_id'");
            $check_block_user_r=$connection->a($check_block_user);
            if($check_block_user_r['Status']=="0"){
                
                $check_token = $connection->q("select count(ID) from tokens where Token='$token'");
                $check_token_r=$connection->a($check_token);
        	    if($check_token_r[0]>=1){
        	        echo '{"purchaseState":"valid","message":"خرید شما با موفقیت تکمیل شد"}';
        	    }else {
        	        $connection->q("insert into tokens (Token,User) VALUES('$token','$user_id')");
        	        $res = $connection->q("select Number_Get,Model from shop where KeyMarket='$productId'");
                    $row = $connection->a($res);
                    $Number_Get = $row['Number_Get'];
                    if($row['Model']=="0"){
                        $result = $connection->q("update users set Coin_Follow=Coin_Follow+$Number_Get where ID='$user_id'");
                        if($result!=""){
                            // print "ok" ;
                            echo '{"purchaseState":"valid","message":""}';
                        }else {
                            // print "no" ;
                            echo '{"purchaseState":"valid","message":"خطایی در اعطا سکه به شما رخ داده است لطفا با پشتیبانی تماس حال فرمایید"}';
                        }
                    }else if($row['Model']=="1"){
                        $result = $connection->q("update users set Coin_Other=Coin_Other+$Number_Get where ID='$user_id'");
                        if($result!=""){
                            // print "ok" ;
                            echo '{"purchaseState":"valid","message":""}';
                        }else {
                            // print "no" ;
                            echo '{"purchaseState":"valid","message":"خطایی در اعطا سکه به شما رخ داده است لطفا با پشتیبانی تماس حال فرمایید"}';
                        }
                    }
        	    }
                
            }else {
                echo '{"purchaseState":"valid","message":"شما بلاک میباشید و اجازه هیچگونه فعالیتی را ندارید"}';
            }
    
        }else {
        	echo "null";
        }

        $checker->successResponse("");


    }else{
        $checker->failResponse();
    }


?>